ReferenceShares
/api/v1/shares
The caller's own public links, newest first. With all=true, an admin gets everyone's, each with its creator.
GET
/api/v1/sharesAuthorization
session rezepte_session<token>
Session cookie set by POST /api/v1/auth/login.
In: cookie
Query Parameters
all?boolean
Everyone's links with their creators instead of the caller's own; admins only
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://example.com/api/v1/shares"{ "$schema": "https://example.com/api/v1/schemas/ShareList.json", "items": [ { "$schema": "https://example.com/api/v1/schemas/Share.json", "createdAt": "2019-08-24T14:15:22Z", "createdBy": { "color": "string", "displayName": "string", "id": "string" }, "expiresAt": "2019-08-24T14:15:22Z", "id": "string", "path": "string", "recipe": { "id": "string", "slug": "string", "title": "string" }, "status": "active" } ]}